%define without_x 1

Name:		mc
Version:	4.8.20
Release:	%mkrel 1
Summary:        A user-friendly file manager and visual shell

License:	GPLv2+
Group:		File tools
URL:		https://midnight-commander.org
Source0:	http://ftp.midnight-commander.org/%{name}-%{version}.tar.xz
Source1:	mc-bashrc
Patch0:		mc-4.8.7-use_okular_for_pdf_files.patch
Patch1:		mc-4.8.16-subshell.patch
Patch2:		mc-4.8.19-decent_defaults.patch
Patch3:		mc-4.8.20-mc-wrapper.patch
BuildRequires:  bison
BuildRequires:  gettext-devel
BuildRequires:	%{_lib}ext2fs-devel
BuildRequires:	%{_lib}gpm-devel
BuildRequires:	%{_lib}pam-devel
BuildRequires:	%{_lib}slang-devel
BuildRequires:	%{_lib}ssh2-devel
%if !%without_x
BuildRequires:	%{_lib}x11-devel
%endif
Requires:	groff

%description
Midnight Commander is a visual shell much like a file manager, only with way
more features.  It is text mode, but also includes mouse support if you are
running GPM.  Its coolest feature is the ability to ftp, view tar, zip
files, and poke into RPMs for specific files.

%prep
%setup -q
%apply_patches
%__sed -i 's:|hxx|:|hh|hpp|hxx|:' misc/syntax/Syntax.in

%build
%serverbuild
export X11_WWW="www-browser"
export CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -Wno-strict-aliasing"
%configure2_5x \
  --enable-dependency-tracking \
  --without-included-gettext \
  --with-screen=slang \
  --with-search-engine=glib \
  --enable-nls \
  --enable-charset \
  --enable-largefile \
  --disable-rpath \
  --enable-vfs-smb \
  --enable-vfs-sftp \
  --with-mmap \
%if %without_x
  --without-x
%endif
%make_build

%install
%makeinstall_std
%__install -Dm644 contrib/mc.sh %{buildroot}%{_sysconfdir}/profile.d/20mc.sh
%__install -m644 contrib/mc.csh %{buildroot}%{_sysconfdir}/profile.d/20mc.csh
%__install -m644 %{S:1} %{buildroot}%{_sysconfdir}/mc/mc-bashrc
%find_lang --with-man %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_sysconfdir}/mc
%{_sysconfdir}/profile.d/20mc.*sh
%{_bindir}/mc*
%{_libexecdir}/mc
%{_mandir}/man1/mc*.1.bz2
%{_datadir}/mc

%changelog
* Thu Nov 30 2017 marcin82 <m82 at op.pl> 4.8.20-1pclos2017
- update, redone %%files section
- added %%patch3

* Mon Apr 03 2017 marcin82 <marcin82 at vp.pl> 4.8.19-1pclos2017
- update
- changes in spec file, adjusted patches

* Tue Jan 10 2017 bb <bb> 4.8.18-1pclos2017
- new version

* Mon May 09 2016 bb <bb> 4.8.17-1pclos2016
- update

* Wed Mar 16 2016 bb <bb> 4.8.16-1pclos2016
- update

* Sat Jan 09 2016 bb <bb> 4.8.15-1pclos2016
- update, changed source url
